petsc-3.4.2 2013-07-02

# TSGetConvergedReason

Gets the reason the TS iteration was stopped.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetConvergedReason(TS ts,TSConvergedReason *reason)

Not Collective

### Input Parameter

ts - the TS context

### Output Parameter

reason - negative value indicates diverged, positive value converged, see TSConvergedReason or the manual pages for the individual convergence tests for complete lists

### Notes

Can only be called after the call to TSSolve() is complete.

### Keywords

TS, nonlinear, set, convergence, test

### See Also

TSSetConvergenceTest(), TSConvergedReason

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex22.c.html
src/ts/examples/tutorials/ex25.c.html
src/ts/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex30.cxx.html
src/ts/examples/tutorials/ex1f.F.html